> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-core-pool/vaults/xvs/xvs-vault-treasury.md).

# XVSVaultTreasury

## XVSVaultTreasury

This contract stores `XVS` received from `XVSBuyback` and funds `XVSVault`.

## Solidity API

#### XVS\_ADDRESS

The xvs token address

```solidity
address XVS_ADDRESS
```

***

#### xvsVault

The xvsvault address

```solidity
address xvsVault
```

***

#### fundXVSVault

This function transfers funds to the XVS vault

```solidity
function fundXVSVault(uint256 amountMantissa) external
```

**Parameters**

| Name           | Type    | Description                    |
| -------------- | ------- | ------------------------------ |
| amountMantissa | uint256 | Amount to be sent to XVS vault |

**📅 Events**

* FundsTransferredToXVSStore emits on success

**⛔️ Access Requirements**

* Restricted by ACM

**❌ Errors**

* InsufficientBalance is thrown when amount entered is greater than balance

#### sweepToken

This function sweep tokens from the contract

```solidity
function sweepToken(address tokenAddress, address to, uint256 amount) external
```

**Parameters**

| Name         | Type    | Description                                 |
| ------------ | ------- | ------------------------------------------- |
| tokenAddress | address | Address of the asset(token)                 |
| to           | address | Address to which assets will be transferred |
| amount       | uint256 | Amount need to sweep from the contract      |

**📅 Events**

* SweepToken emits on success

**⛔️ Access Requirements**

* Restricted by ACM

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-core-pool/vaults/xvs/xvs-vault-treasury.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
